Bug 85302 - kudzu out of date, prevents anaconda installer from recognising newest hardware.
kudzu out of date, prevents anaconda installer from recognising newest hardware.
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kudzu (Show other bugs)
All Linux
high Severity high
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2003-02-27 14:17 EST by Bill Peck
Modified: 2014-03-16 22:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-05-27 09:42:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bill Peck 2003-02-27 14:17:03 EST
Description of problem:

buildinstall from anaconda-runtime uses the pci ids from the kudzu package to
determine what hardware the drivers support.  since the kudzu package has not
been updated since the original as2.1 release it is out of date and does not
know about hardware which we have drivers for.  

After install things are better since kudzu can now query the drivers installed
on the system and ask for which pci ids that driver supports.  But this doesn't
help for installs.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. attempt to install ES or WS on a system which requires one of the newer drivers.
2. anaconda installer will not load the proper driver since it doesn't have a
pci id that points to the newer driver
Actual results:

Install will not recognise new hardware

Expected results:

Install should recognise all devices that the system can after an install.

Additional info:
Comment 1 Bill Nottingham 2003-02-27 14:35:25 EST
It was determined not to put the new drivers in the pcitable back when this was
designed for the quarterly errata.
Comment 2 Bill Peck 2003-05-27 09:42:10 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.